import { IDictionary, IErrorData } from "../Data/Interfaces.js";
export default class ErrorModel {
    private m_groupIndex;
    private m_featureIndex;
    private m_propertyName;
    private m_key;
    private m_message;
    private m_code;
    private m_tags;
    constructor(data: IErrorData);
    get code(): number;
    get featureIndex(): number;
    get groupIndex(): number;
    get key(): string;
    get message(): string;
    get propertyName(): string;
    get tags(): IDictionary;
    toJSON(): IErrorData;
    private parseKey;
}
